Attribute VB_Name = "Module1"
'//----------------------------------------
'//PIO821.bas for PIO-821 Classic Driver/SDK
'//Version 1.1(2012/Nov/19)
'//----------------------------------------

Option Explicit

' ============== Error code ==============
Global Const PIO821_NoError = 0
Global Const PIO821_ActiveBoardError = 1
Global Const PIO821_ExceedFindBoards = 2
Global Const PIO821_DriverNoOpen = 3
Global Const PIO821_BoardNoActive = 4
Global Const PIO821_WriteEEPROMError = 5
Global Const PIO821_ModeDAError = 6
Global Const PIO821_DAError = 7
Global Const PIO821_ConfigError = 8
Global Const PIO821_TimeoutError = 9
Global Const PIO821_AdChannelError = 10
Global Const PIO821_AdPollingTimeOut = 11
Global Const PIO821_AdPacerTimeOut = 12
Global Const PIO821_CounterModeError = 13
Global Const PIO821_InterruptError = 14

'================================================================
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
'===================Init   function================================
Declare Function PIO821_GetDllVersion Lib "PIO821.dll" () As Integer

Declare Function PIO821_DriverInit Lib "PIO821.dll" () As Long

Declare Sub PIO821_DriverClose Lib "PIO821.dll" ()

Declare Function PIO821_TotalBoard Lib "PIO821.dll" () As Byte

Declare Function PIO821_GetCardInf Lib "PIO821.dll" (ByVal BoardNo As Byte, dwVID As Long, dwDID As Long, dwSubDID As Long, dwSubV As Long, dwSubAux As Long, dwIRQ As Long) As Integer

Declare Function PIO821_ActiveBoard Lib "PIO821.dll" (ByVal BoardNo As Byte) As Integer

Declare Function PIO821_CloseBoard Lib "PIO821.dll" (ByVal BoardNo As Byte) As Integer

'=====================DI/O function============================
Declare Function PIO821_DigitalOut Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal bData As Long) As Integer
   
Declare Function PIO821_DigitalIn Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, Value As Integer) As Integer
'=====================DA function============================
Declare Function PIO821_DA_Hex Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wValue As Long) As Integer
 
Declare Function PIO821_DA Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal Mode As Byte, ByVal fValue As Single) As Integer
'=====================AD function============================
Declare Function PIO821_SetChannelConfig Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wAdChannel As Integer, ByVal wConfig As Integer) As Integer
   
Declare Function PIO821_Delay Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wDownCount As Integer) As Integer

Declare Function PIO821_ADPollingHex Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, wAdVal As Integer) As Integer

Declare Function PIO821_ADPolling Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, fAdVal As Single) As Integer

Declare Function PIO821_ADsPolling Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, fAdVal As Single, ByVal wNum As Integer) As Integer

Declare Function PIO821_ADsPacer Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, fAdVal As Single, ByVal wNum As Integer, ByVal wSamplingDiv As Integer) As Integer

'=====================EEP function============================

Declare Function PIO821_ReadEEP Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, wData As Integer) As Integer

Declare Function PIO821_WriteEEP Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, wData As Integer) As Integer

Declare Function PIO821_SetCounter Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wCounterNo As Integer, ByVal bCounterMode As Integer, ByVal wCounterValue As Long) As Integer

Declare Function PIO821_ReadCounter Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wCounterNo As Integer, ByVal bCounterMode As Integer) As Long
'================================================================
Declare Sub PIO821_OutputByte Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal Offset As Long, ByVal bData As Byte)
   
Declare Sub PIO821_OutputWord Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal Offset As Long, ByVal wData As Integer)
   
Declare Function PIO821_InputByte Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal dwOffset As Long) As Integer
   
Declare Function PIO821_InputWord Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal dwOffset As Long) As Long
'======================Interrupt function============================
Declare Function PIO821_InstallIrq Lib "PIO821.dll" _
   (ByVal BoardNo As Byte) As Integer

Declare Sub PIO821_RemoveIrq Lib "PIO821.dll" (ByVal BoardNo As Byte)

Declare Function PIO821_IntADStart Lib "PIO821.dll" _
   (ByVal BoardNo As Byte, ByVal wNum As Integer, ByVal wSamplingDiv As Integer) As Integer
   
Declare Function PIO821_GetADsfloat Lib "PIO821.dll" (fAdVal As Single) As Integer

Declare Function PIO821_GetADsHex Lib "PIO821.dll" (HAdVal As Integer) As Integer

